# 32/64bit spec-file
#
%define _requires_exceptions libc.so.6(GLIBC_PRIVATE)

Name:		mumble
Version:	1.2.3
Release:	%mkrel 3

Summary:	Mumble voice chat 
Group:		Networking/Chat
License:	BSD
URL:		http://%{name}.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	murmur.service
Source2:	murmur-tmpfiles.conf
Source3:        mumble_qt.qrc
Source4:        mumble11x_build.patch.tar.xz
Source5:        mumble_build.patch.tar.xz
#BuildConflicts:	celt-devel >= 0.7.0
BuildRequires:	qt4-devel 
#BuildRequires:	celt071-devel
BuildRequires:  boost-devel
BuildRequires:	libalsa-devel 
BuildRequires:	pulseaudio-devel 
BuildRequires:	libogg-devel
BuildRequires:  %{_lib}speechd-devel
BuildRequires:  speex-devel
BuildRequires:	libcap-devel
BuildRequires:	desktop-file-utils
BuildRequires:  openssl-devel
BuildRequires:	%{_lib}xevie-devel
BuildRequires:  celt-devel
BuildRequires:	protobuf-compiler
BuildRequires:  g15daemon_client-devel 
BuildRequires:  g15-devel
BuildRequires:  libavahi-compat-libdns_sd-devel
BuildRequires:	libsndfile-devel
BuildRequires:  protobuf-devel
Requires:	initscripts
Requires:	celt
Requires:	glibc >= 2.16
Requires:	libstdc++6 >= 4.7.2
Requires:	%{_lib}protobuf8

%description
Mumble provides low-latency, high-quality voice communication for gamers. 
It includes game linking, so voice from other players comes from the direction 
of their characters, and has echo cancellation so that the sound from your 
loudspeakers won't be audible to other players.

%package -n murmur
Summary:	Mumble voice chat server
Group:		Networking/Chat
Provides:	%{name}-server = %{version}-%{release}


%description -n murmur
Murmur(mumble-server) is part of the VoIP suite Mumble
primarily aimed at gamers. Murmur is the server component of the suite.


%pre -n murmur
getent group mumble-server >/dev/null || groupadd -r mumble-server
getent passwd mumble-server >/dev/null || \
useradd -r -g mumble-server -d %{_localstatedir}/lib/%{name}-server/ -s /sbin/nologin \
-c "Mumble-server(murmur) user" mumble-server
exit 0

%prep
%setup -q
cp %SOURCE3 src/mumble/mumble_qt.qrc
unxz -c %SOURCE4 | tar xf - -C src/mumble11x
unxz -c %SOURCE5 | tar xf - -C src/mumble

%build
export PATH=/usr/lib/qt4/bin:$PATH
export QTDIR=%{_prefix}/lib/qt4/
qmake DEFINES+=PLUGIN_PATH=/usr/lib/mumble \
DEFINES+=DEFAULT_SOUNDSYSTEM=PulseAudio \
CONFIG+=no-bundled-speex \
CONFIG+=no-ice main.pro

make 


%install
rm -rf %{buildroot}
install -pD -m0755 release/%{name} %{buildroot}%{_bindir}/%{name}
install -pD -m0755 release/%{name}11x %{buildroot}%{_bindir}/%{name}11x
install -pD -m0755 release/murmurd %{buildroot}%{_sbindir}/murmurd
ln -s murmurd %{buildroot}%{_sbindir}/%{name}-server

#translations
mkdir -p %{buildroot}/%{_datadir}/%{name}/translations
mkdir -p %{buildroot}/%{_datadir}/%{name}11x/translations
install -pm 644 src/%{name}/*.qm %{buildroot}/%{_datadir}/%{name}/translations
install -pm 644 src/%{name}11x/*.qm %{buildroot}/%{_datadir}/%{name}11x/translations


mkdir -p %{buildroot}%{_libdir}/%{name}/
install -p release/libmumble.so.%{version} %{buildroot}%{_libdir}/%{name}/
install -p release/plugins/*.so %{buildroot}%{_libdir}/%{name}/


mkdir -p %{buildroot}%{_sysconfdir}/murmur/
install -pD scripts/murmur.ini.system %{buildroot}%{_sysconfdir}/murmur/murmur.ini
install -pD scripts/murmur.pl %{buildroot}%{_sysconfdir}/murmur/murmur.pl
install -pD -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/murmur.service

install -D -m 0755 release/murmurd "%{buildroot}%{_sbindir}/murmurd"
install -D -m 0644 scripts/murmur.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/mumble-server.conf
install -D -m 0644 scripts/murmur.ini.system %{buildroot}%{_sysconfdir}/mumble-server.ini


mkdir -p %{buildroot}%{_datadir}/%{name}/
install -pD scripts/%{name}-overlay %{buildroot}%{_bindir}/%{name}-overlay

#man pages
mkdir -p %{buildroot}%{_mandir}/man1/
install -pD -m0644 man/murmurd.1 %{buildroot}%{_mandir}/man1/
install -pD -m0644 man/mumble* %{buildroot}%{_mandir}/man1/
install -pD -m0664 man/mumble-overlay.1 %{buildroot}%{_mandir}/man1/mumble-overlay.1


#icons
mkdir -p %{buildroot}%{_datadir}/icons/%{name}
install -pD -m0644 icons/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -pD -m0644 src/mumble11x/resources/%{name}.16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -pD -m0644 src/mumble11x/resources/%{name}.32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -pD -m0644 src/mumble11x/resources/%{name}.48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -pD -m0644 src/mumble11x/resources/%{name}.64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

#logrotate
install -pD scripts/murmur.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/murmur

# install the mumble protocol
install -pD -m0644 scripts/%{name}.protocol %{buildroot}%{_datadir}/kde4/services/%{name}.protocol

# murmur.conf
install -pD -m0644 scripts/murmur.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/murmur.conf

#dir for mumble-server.sqlite
mkdir -p %{buildroot}%{_localstatedir}/lib/mumble-server/

#log dir
mkdir -p %{buildroot}%{_localstatedir}/log/mumble-server/

#pid dir
mkdir -p %{buildroot}%{_localstatedir}/run/
install -d -m 0710 %{buildroot}%{_localstatedir}/run/mumble-server/

#tmpfiles.d
mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/tmpfiles.d/%{name}.conf

# menu-entry1
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Mumble
GenericName=Mumble
Comment=Voice chat application
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;Chat;X-MandrivaLinux-Internet-Chat;
EOF

# menu-entry2
cat > %{buildroot}%{_datadir}/applications/%{name}11x.desktop << EOF
[Desktop Entry]
Name=Mumble11x
GenericName=Mumble11x
Comment=Voice chat application
Exec=%{name}11x
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;Chat;X-MandrivaLinux-Internet-Chat;
EOF



%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%post -n murmur
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun -n murmur
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable murmur.service > /dev/null 2>&1 || :
    /bin/systemctl stop murmur.service > /dev/null 2>&1 || :
fi

%postun -n murmur
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart murmur.service >/dev/null 2>&1 || :
fi


%triggerun -n murmur -- murmur < 1.2.3-1
/usr/bin/systemd-sysv-convert --save murmur >/dev/null 2>&1 ||:
/bin/systemctl --no-reload enable murmur.service >/dev/null 2>&1 ||:
/sbin/chkconfig --del murmur >/dev/null 2>&1 || :
/bin/systemctl try-restart murmur.service >/dev/null 2>&1 || :



%files -n murmur
%doc README README.Linux LICENSE CHANGES
%doc scripts/murmur.pl scripts/murmur-user-wrapper
%attr(-,mumble-server,mumble-server) %{_sbindir}/murmurd
%{_sysconfdir}/murmur.service
%{_sbindir}/%{name}-server
%{_sysconfdir}/dbus-1/system.d/mumble-server.conf
%{_sysconfdir}/mumble-server.ini
%config(noreplace) %attr(664,mumble-server,mumble-server) %{_sysconfdir}/murmur/murmur.ini
%config(noreplace) %attr(664,mumble-server,mumble-server) %{_sysconfdir}/murmur/murmur.pl
%{_mandir}/man1/murmurd.1*
%attr(664,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/murmur
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/murmur.conf
%dir %attr(-,mumble-server,mumble-server) %{_localstatedir}/lib/mumble-server/
%dir %attr(-,mumble-server,mumble-server) %{_localstatedir}/log/mumble-server/
%dir %attr(-,mumble-server,mumble-server) %{_localstatedir}/run/mumble-server/
%config(noreplace) %{_sysconfdir}/tmpfiles.d/%{name}.conf


%files
%doc README README.Linux LICENSE CHANGES
%doc scripts/weblist*
%{_bindir}/%{name}
%{_bindir}/%{name}11x
%{_bindir}/%{name}-overlay
%{_mandir}/man1/%{name}*
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}11x.desktop
%{_datadir}/mumble/
%{_datadir}/mumble11x/
%{_libdir}/%{name}/libmumble.*
%{_libdir}/%{name}/liblink.so
%{_libdir}/%{name}/libmanual.so
%{_datadir}/kde4/services/mumble.protocol


%changelog
* Sun May 12 2013 Texstar <texstar at gmail.com> 1.2.3-3pclos2013
- rebuild againt libprotobuf8

* Wed Feb 27 2013 pinoc <vogtpet at gmail.com> 1.2.3-2pclos2013
- fixed BR for 32/64

* Wed Oct 31 2012 Ken <lxgator at gmail.com> 1.2.3-1pclos2012
- initial build
